
-- Create partition table
CREATE TABLE t(inv int NOT NULL,dt timestamp not null,data int) PARTITION BY RANGE (inv);


-- Creation of the function of writing in a partitioned table
CREATE FUNCTION set_vl(c_inv integer, c_dt timestamp,c_data integer) RETURNS integer
    LANGUAGE plpgsql
    AS $$
DECLARE
BEGIN
   begin
    insert into t(inv,dt,data) values(c_inv,c_dt,c_data);
    exception
	when unique_violation then
           update t set data=data+1 where inv=c_inv and dt=c_data;
           return 1;
    end;
return 0;

END
$$;

--When executing test_bug.pl, sections will be created
